@import "select2";
@import "jquery.timepicker";

.select2-container {
  min-width: 150px;
  .select2-choices {
    @include border-radius(3px);
    background: white;
    min-height: 28px;
    border: 1px solid #c9d0d6;
  }
  &.sortable, &.select2-container-multi {
    width: 76%;
  }
  &.select2-dropdown-open {
    .select2-choices {
      @include border-bottom-radius(0);
    }
  }
  &.select2-container-active {
    .select2-choices {
      border: 1px solid #99a2aa;
      box-shadow: 0 0 4px #99a2aa;
      -moz-box-shadow: 0 0 4px #99a2aa;
      -webkit-box-shadow: 0 0 4px #99a2aa;
    }
  }
}
.select2-search-choice-close {
  top: 3px;
}

form {
  input.datetimepicker, input.datepicker {
    max-width: 150px;
  }
  input.timepicker {
    max-width: 6em;
  }
}

.ui-timepicker-div {
  background-color: #F4F4F4;
  color: #666;
  @include box-shadow(0 1px 6px rgba(0, 0, 0, 0.26));
  border: solid 1px #63686E;
  @include border-radius(3px);
  margin: -10px 3px;
  padding: 20px 10px;
  dl {
    @include clearfix;
    text-align: left;
    dt {
      height: 25px;
      margin-bottom: -25px;
    }
    dd {
      margin: 0 8px 10px 55px;
    }
  }
  .ui-state-disabled {
    color: lighten(#666, 15%);
  }
  .ui-slider-horizontal {
    border: 1px solid #dedede;
    background: #fff;
    color: #333;
    height: 0.8em;
    border-radius: 5px;
    margin-top: 3px;
    .ui-slider-handle {
      top: -.3em;
      margin-left: -.6em;
    }
  }
  .ui-state-default,
  .ui-widget-content .ui-state-default,
  .ui-widget-header .ui-state-default {
    border: 1px solid #CCC;
    font-weight: bold;
    color: #1C94C4;
  }
  .ui-slider {
    position: relative;
    text-align: left;
    .ui-slider-handle {
      position: absolute;
      z-index: 2;
      width: 1.2em;
      height: 1.2em;
      cursor: pointer;
      @include border-radius(15px);
      background: #dedede;
    }
  }
}

.ui-datepicker-buttonpane {
  padding: 5px;
  margin: -35px 4px 0 4px;
  @include clearfix;
  border-top: 1px solid #dedede;
  button {
    border: none;
    cursor: pointer;

    font-weight: bold;
    font-size: 1.0em;
    line-height: 12px;
    text-decoration: none;
    -webkit-font-smoothing: antialiased;
    border: solid 1px #484E53;
    background: #FDFDFD;
    background: -webkit-gradient(linear, left top, left bottom, from(#FDFDFD), to(#E8E8E8));
    background: -moz-linear-gradient(-90deg, #FDFDFD, #E8E8E8);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=#fdfdfd, endColorstr=#e8e8e8);
    -ms-filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=#fdfdfd, endColorstr=#e8e8e8);
    -webkit-box-shadow: 0 1px 0px rgba(0, 0, 0, 0.1), 0 0 0 1px rgba(255, 255, 255, 0.8) inset;
    box-shadow: 0 1px 0px rgba(0, 0, 0, 0.1), 0 0 0 1px rgba(255, 255, 255, 0.8) inset;
    border-color: #C7C7C7;
    border-top-color: lightGrey;
    border-right-color: #C7C7C7;
    border-bottom-color: #C2C2C2;
    border-left-color: #C7C7C7;
    text-shadow: white 0 1px 0;
    color: #777;
    padding: 5px 10px;
    margin: 0px;
  }
  .ui-priority-primary {
    float: right;

    background: #838A90;
    background: -webkit-gradient(linear, left top, left bottom, from(#838A90), to(#414549));
    background: -moz-linear-gradient(-90deg, #838A90, #414549);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=#838a90, endColorstr=#414549);
    -ms-filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=#838a90, endColorstr=#414549);
    text-shadow: black 0 1px 0;
    -webkit-box-shadow: 0 1px 0px rgba(0, 0, 0, 0.1), 0 0 0 1px rgba(255, 255, 255, 0.2) inset;
    box-shadow: 0 1px 0px rgba(0, 0, 0, 0.1), 0 0 0 1px rgba(255, 255, 255, 0.2) inset;
    border-color: #484E53;
    border-top-color: #616A71;
    border-right-color: #484E53;
    border-bottom-color: #363B3F;
    border-left-color: #484E53;
    color: #EFEFEF;
  }
  .ui-priority-secondary {
    float: left;
  }
}

li.hidden {
  display: none;
}

.datepair {
  ul {
    display: none;
  }
}
